| DocBook: The Definitive Guide 2.0.17 (Alpha)

# shortcut

$Revision$

$Date$

shortcut — A key combination for an action that is also accessible through a menu

## Synopsis

### Content Model

    shortcut ::=
    ((keycap|keycombo|keysym|mousebutton)+)

### Attributes

Common attributes

Name | Type | Default
otheraction | CDATA | None

moreinfo

Enumeration:
none
refentry

"none"

action

Enumeration:
click
double-click
other
press
seq
simul

None

## Description

A `Shortcut` contains the key combination that is a shortcut for a `MenuChoice`. Users that are familiar with the shortcuts can access the functionality of the corresponding menu choice, without navigating through the menu structure to find the right menu item.

### Processing expectations

Formatted inline. The `MoreInfo` attribute can help generate a link or query to retrieve additional information.

### Parents

These elements contain shortcut: `menuchoice`.

### Children

The following elements occur in shortcut: `keycap`, `keycombo`, `keysym`, `mousebutton`.

## Attributes

action

  `Action` identifies the nature of the action taken. If `Shortcut` contains more than one action element, `Simul` is default value for `Action`, otherwise there is no default.

  If `Other` is specified, `OtherAction` should be used to identify the nature of the action.

moreinfo

  If `MoreInfo` is set to `RefEntry`, it implies that a `RefEntry` exists which further describes the `Shortcut`.

otheraction

  `OtherAction` should be used when `Action` is set to `Other`. It identifes the nature of the action in some application-specific way.

## See Also

`accel`, `guibutton`, `guiicon`, `guilabel`, `guimenu`, `guimenuitem`, `guisubmenu`, `keycap`, `keycode`, `keycombo`, `keysym`, `menuchoice`, `mousebutton`.

## Examples

    <!DOCTYPE para PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <para>
    You can exit from GNU Emacs with
    <menuchoice>
      <shortcut>
        <keycombo><keysym>C-x</keysym><keysym>C-c</keysym></keycombo>
      </shortcut>
      <guimenu>Files</guimenu>
      <guimenuitem>Exit Emacs</guimenuitem>
    </menuchoice>.
    </para>

You can exit from GNU Emacs with Files → Exit Emacs (C-x+C-c).

For additional examples, see also `menuchoice`.

shortaffil |  | sidebar

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.